petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoGetLinearSolveIterations

Gets the total number of linear iterations used by the TAO solver

### Synopsis

    #include "petsctao.h"
    PetscErrorCode  TaoGetLinearSolveIterations(Tao tao,PetscInt *lits)

Not Collective Many br

### Input Parameter

tao -TAO context Many br

### Output Parameter

lits -number of linear iterations Many br

### Notes

This counter is reset to zero for each successive call to TaoSolve() Many br

Many br

### Keywords

TAO

### See Also

TaoGetKSP()

Level:intermediate
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages